Subject: bug#3702: Emacs fails to respect the intent in `C-u C-u C-x C-s' of making a backup

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jun 2016 11:14:34 +0300

> From: Andrew Hyatt <[email-masked]>
> Date: Fri, 17 Jun 2016 23:37:28 -0400
> Cc: [email-masked]
> 
> 
> Sorry for the late reply on this one.  This problem still exists in
> Emacs 25.  I agree that the current behavior doesn't match up with the
> documentation.
> 
> This probably is fixable by adding another free variable set by
> save-buffer and read in various functions, but there's a lot of those
> kind of variables already - the logic here, IMHO, could use a rewrite to
> make the interactions clear.  Maybe someone familiar with this code
> might give their opinion.

It sounds like this report boils down to interpreting the single word
"unconditionally" in the doc string of save-buffer.  All the rest is
actually a request for a feature that never existed in Emacs.  (FWIW,
I don't object to adding such a feature, if someone submits patches to
that effect.)